Bug 110084 - R-C-P confused by KDE package group
R-C-P confused by KDE package group
Product: Fedora
Classification: Fedora
Component: redhat-config-packages (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2003-11-14 13:19 EST by Nick Lamb
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 16:22:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nick Lamb 2003-11-14 13:19:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
After a fresh install of Fedora Core onto this machine, with no KDE
stuff (just a Workstation install iirc) updated R-C-P to a version
that actually works on Fedora and then experienced the following problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start R-C-P 1.2.7 
2. Check the KDE Desktop Environment checkbox
3. Change your mind, uncheck (returned to original state)
4. Choose a package such as vim-x11 from an existing category
5. Click "Update" button which is now enabled (!)

Actual Results:  A list of "missing" dependencies is provided, with no
hint to the user as to where these dependencies might be obtained, or
how exactly Fedora would have managed to install the affected packages
magically if they had been chosen during installation, rather than

Needless to say all the "missing" things are part of Fedora Core 1

Expected Results:  The package vim-x11 gets installed, any real
dependencies should be resolved automatically.

Additional info:

List of "missing" dependencies includes

(and others)

The full list looks suspiciously like the list of "mandatory" packages
for the KDE Desktop Environment package group.
Comment 1 Jeremy Katz 2005-09-21 16:22:00 EDT
This report is filed against a product which is no longer supported.  It is very
likely that the problem is resolved in the current version of Fedora Core or
scheduled to be resolved with the new system-config-packages scheduled to land
in Fedora Core 5.

Note You need to log in before you can comment on or make changes to this bug.